Status: Closed Start date: 2011-03-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Looking for an enhancement to the project dropdown menu that appears on the upper right of every page.

We have internal and external users and use the group mechanism to control visibility.  The problem is, internal users see all of the

projects in the dropdown, even ones they don't care about.

One thing that would help is to limit items shown in the dropdown to only projects where the user is a direct member (not via group).

What may be best is to have more options around what shows up in the project dropdown.  Could be site-wide or per-user, but if

per-user, should not be able to ever show projects that wouldn't otherwise be visible.  Possible modes:

Show all accessible projects (public and member)

Show favorite projects (each user would mark a given project as favorite or not)

Show projects with direct membership

Show projects with direct membership or membership via group (current behavior)

Related feature requests:

#2705 "Jump to a project..." drop-down should list public projects

#572 My projects (or favourite projects)

Related issues:

Related to Redmine - Feature #572: My projects (or favourite projects) Closed

Related to Redmine - Feature #2705: "Jump to a project..." drop-down should l... New 2009-02-09

Related to Redmine - Feature #23310: Improved "jump to project" drop-down Closed

Related to Redmine - Feature #31355: Bookmarks and recently used projects for... Closed

History

#1 - 2012-02-09 12:14 - Steve Davis

+1

#2 - 2020-06-06 07:01 - Go MAEDA

- Related to Feature #23310: Improved "jump to project" drop-down added

#3 - 2020-06-06 07:02 - Go MAEDA

- Related to Feature #31355: Bookmarks and recently used projects for the project jump box added

#4 - 2020-06-06 07:02 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The following improvements were implemented in Redmine 3.4 and 4.0. I think those features can help users to quickly access interesting projects.

Improved "jump to project" drop-down (#23310)

Bookmarks and recently used projects for the project jump box (#31355)
